# spec file for rtoys-regen 32/64
# pclinuxos rpm-build 4.8.1
%ifnarch x86_64
BuildArch: i686
%endif

%define dobrand	1
%define BRAND	uplos

Name:	dearth
Version:	1.1
Release:	%mkrel 2
Group:	Graphical desktop/Mate
URL: 	http://kotex.iwarp.com/
Vendor:	Rabid Software
License:	FreeWare
Summary: dconf database editor
Source: %{name}-%{version}.tar.xz
Patch0:	dearth-100-rs-branding.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires: dconf >= 0.24
Requires: gtk+2
Provides: dconf-editor
BuildRequires: libdconf-devel >= 0.24
BuildRequires: libdbus-devel
BuildRequires: libgtk+2-devel

%description
A GTK2-based graphical browser/editor for the dconf configuration system.
Features Import, Export, Add, Reset and Delete of keys.


%package gtk3
Summary: dconf database editor GTK3 version
Group:	Graphical desktop/Mate
Requires: dconf >= 0.24
Requires: gtk+3
Provides: dconf-editor
BuildRequires: libdconf-devel >= 0.24
BuildRequires: libdbus-devel
BuildRequires: libgtk+3-devel

%description gtk3
A GTK3-based graphical browser/editor for the dconf configuration system.
Features Import, Export, Add, Reset and Delete of keys.


%prep
%setup -q
%if %dobrand
%patch0 -p1
%endif

%build
make dearth && make clean && make dearth-gtk3

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_bindir}
mkdir -p %buildroot/%{_datadir}/applications
mkdir -p %buildroot/%{_datadir}/icons/hicolor/scalable/apps
install -m 0755 %{name} %buildroot/%{_bindir}
install -m 0755 %{name}-gtk3 %buildroot/%{_bindir}
install -m 0664 rsc/%{name}.svg %buildroot/%{_datadir}/icons/hicolor/scalable/apps
%if %dobrand
install -m 0664 rsc/%{name}-%{BRAND}.svg %buildroot/%{_datadir}/icons/hicolor/scalable/apps
%endif
install -m 0774 rsc/%{name}.desktop %buildroot/%{_datadir}/applications
install -m 0774 rsc/%{name}-gtk3.desktop %buildroot/%{_datadir}/applications

%clean
rm -fr %buildroot

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/applications/%{name}.desktop

%files gtk3
%defattr(-, root, root)
%{_bindir}/%{name}-gtk3
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/applications/%{name}-gtk3.desktop

%changelog
* Wed Jan 03 2018 adrianomorselli <adrianomorselli> 1.1-2uplos2018
- switch to uplos brand

* Wed Jan 03 2018 adrianomorselli <adrianomorselli> 1.1-1uplos2018
- update
